Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class SavedByEntry

    java.lang.Object
      org.apache.poi.hwpf.model.SavedByEntry

    public final class SavedByEntry

extends java.lang.Object

A single entry in the `SavedByTable`.

Author:
  Daniel Noll

Constructor Summary
`SavedByEntry(java.lang.String userName, java.lang.String saveLocation)`

Method Summary
`boolean` | `equals(java.lang.Object other)` Compares this object with another, for equality.
`java.lang.String` | `getSaveLocation()`
`java.lang.String` | `getUserName()`
`int` | `hashCode()` Generates a hash code for consistency with `equals(Object)`.
`java.lang.String` | `toString()` Returns a string for display.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SavedByEntry

    public SavedByEntry(java.lang.String userName,
                        java.lang.String saveLocation)

Method Detail

### getUserName

    public java.lang.String getUserName()

### getSaveLocation

    public java.lang.String getSaveLocation()

### equals

    public boolean equals(java.lang.Object other)

  Compares this object with another, for equality.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - the object to compare to this one.
  Returns:
    `true` iff the other object is equal to this one.

### hashCode

    public int hashCode()

  Generates a hash code for consistency with `equals(Object)`.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code.

### toString

    public java.lang.String toString()

  Returns a string for display.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.